mscorlib 2.0.0.0 4.0.0.0 System.IO.IOException System.Runtime.InteropServices.ComVisible(true)

The class uses the HRESULT COR_E_DIRECTORYNOTFOUND. This exception can be thrown when a Win32 ERROR_PATH_NOT_FOUND HRESULT error is encountered.

The exception that is thrown when trying to access a drive or share that is not available.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor initializes the property of the new instance to a system-supplied message that describes the error, such as "Could not find the specified directory." This message is localized based on the current system culture.

  The property of the new instance is initialized to null.

  Initializes a new instance of the class with its message string set to a system-supplied message and its HRESULT set to COR_E_DIRECTORYNOTFOUND.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor initializes the property of the new instance using the parameter.

  The property of the new instance is initialized to null.

  Initializes a new instance of the class with the specified message string and the HRESULT set to COR_E_DIRECTORYNOTFOUND.

  A object that describes the error. The caller of this constructor is required to ensure that this string has been localized for the current system culture.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified serialization and context information.

  A object that contains the serialized object data about the exception being thrown.
  A object that contains contextual information about the source or destination of the exception being thrown.
- Constructor
  2.0.0.0
  4.0.0.0

  An exception that is thrown as a direct result of a previous exception should include a reference to the previous exception in the property. The property returns the same value that is passed into the constructor, or null if the property does not supply the inner exception value to the constructor.

  The following table shows the initial property values for an instance of .

  Property

  Value

  The inner exception reference.

  The error message string.

  Initializes a new instance of the class with the specified error message and a reference to the inner exception that is the cause of this exception.

  The error message that explains the reason for the exception.
  The exception that is the cause of the current exception. If the parameter is not null, the current exception is raised in a catch block that handles the inner exception.